<template>
    <switch :checked="checked" @change="change" />
</template>
<script lang="ts" setup>

const emits = defineEmits(['update:modelValue'])
const props = defineProps<{
    modelValue?: boolean
}>()

const checked = ref(props.modelValue)
const change = (e: any)=>{
    emits('update:modelValue', e.detail.value)
}


</script>
<style scoped lang="scss"></style>